config:
    paths:
        'orosidebar/js/constants': 'bundles/orosidebar/js/constants.js'

        'orosidebar/js/model': 'bundles/orosidebar/js/model.js'
        'orosidebar/js/templates/template.html': 'bundles/orosidebar/js/templates/template.html'
        'orosidebar/js/view': 'bundles/orosidebar/js/view.js'

        'orosidebar/js/widget-container/model': 'bundles/orosidebar/js/widget-container/model.js'
        'orosidebar/js/widget-container/collection': 'bundles/orosidebar/js/widget-container/collection.js'
        'orosidebar/js/widget-container/templates/icon-template.html': 'bundles/orosidebar/js/widget-container/templates/icon-template.html'
        'orosidebar/js/widget-container/templates/widget-min-template.html': 'bundles/orosidebar/js/widget-container/templates/widget-min-template.html'
        'orosidebar/js/widget-container/templates/widget-max-template.html': 'bundles/orosidebar/js/widget-container/templates/widget-max-template.html'
        'orosidebar/js/widget-container/view': 'bundles/orosidebar/js/widget-container/view.js'
        'orosidebar/js/widget-container/icon-view': 'bundles/orosidebar/js/widget-container/icon-view.js'
        'orosidebar/js/widget-container/widget-picker-modal': 'orosidebar/js/widget-container/widget-picker-modal.js'
        'orosidebar/js/widget-container/widget-setup-view': 'bundles/orosidebar/js/widget-container/widget-setup-view.js'
        'orosidebar/widget/sticky-note': 'bundles/orosidebar/sidebar_widgets/sticky_note/js/widget.js'

        'orosidebar/js/app/components/sidebar-component': 'bundles/orosidebar/js/app/components/sidebar-component.js'
        'orosidebar/js/app/modules/sidebar-module': 'bundles/orosidebar/js/app/modules/sidebar-module.js'
    appmodules:
        - orosidebar/js/app/modules/sidebar-module

build:
    paths:
        'orosidebar/js/templates/template.html': 'empty:'
        'orosidebar/js/widget-container/templates/icon-template.html': 'empty:'
        'orosidebar/js/widget-container/templates/widget-min-template.html': 'empty:'
        'orosidebar/js/widget-container/templates/widget-max-template.html': 'empty:'
        'orosidebar/js/widget-container/templates/widget-add-template.html': 'empty:'
